#include "settings.hh"
#include <gconfmm/init.h>

using namespace go;

Settings go::settings;

const std::string Settings::main_path = "/apps/ccgo";

Settings::Settings() :
	dump_igs(false)
{
}

void Settings::init()
{
	Gnome::Conf::init();
	client = Gnome::Conf::Client::get_default_client();
	client->add_dir(main_path);
}

void Settings::command_line(int argc, char * argv[], char * envp[])
{
	for (int i = 0; i < argc; i ++) {
		std::string a(argv[i]);
		if (a == "dump_igs") {
			dump_igs = true;
		}
	}
}

const std::string Settings::get_string(const std::string & k)
{
	return client->get_string(main_path + "/" + k);
}

void Settings::set_string(const std::string & k, const std::string & n)
{
	client->set(main_path + "/" + k, Glib::ustring(n));
}

int Settings::get_int(const std::string & k)
{
	return client->get_int(main_path + "/" + k);
}

void Settings::set_int(const std::string & k, int i)
{
	client->set(main_path + "/" + k, i);
}
